<?php

	# mark core  v1.0
    # author Drk in
	# date 24.10.19 	

	# core

	require_once ( $_SERVER['DOCUMENT_ROOT']."/_core/system.php" );

	$id =  isset( $_GET['id'] ) ? system::abs($_GET['id']): 0;

	if (cache_pf::ch($id) === false)system::header('/','Ошибка, ID не найден');

	$act = cache_pf::check($id);

	if ($act['ban'] == 1)system::header('/','Ошибка, сайт заблокирован');

	if ($act['mode'] == 1)system::header('/','Ошибка, сайт на модерации');

	if ($act['hide'] == 0 || isset($user) && $act['user'] == $user['id'] || isset($user) && $user['admin'] == 1): $r = 1; else: system::header('/link/'.$id,'Ошибка, владелец сайта предпочёл скрыть статистику.'); endif;

	# meta

	$title = 'Онлайн сайта '.system::check($act['url']).'» Мобильные WAP сайты';
	$description = system::check($config['description']);
	$keywords = system::check($config['keywords']);
	$tl = 'Онлайн сайта '.system::check($act['url']).' за последние 10 минут';
	
	# head

	require_once ( head );

	$cn = DB :: $dbh -> querySingle("SELECT count(id) FROM `on` WHERE pf = ? AND time > ?", array($id,time()-600));

	if ($cn == 0)echo '<div class="err">Cписок пуст!</div>';

	if ($cn > 0)echo '<div class="touch">Онлайн за последние 10 минут: <font color="#00cc00"><b>'.$cn.'</b></font></div>';

	$page = new page($cn);

	$limit = $cn > $page -> elements ? $page -> limit : null;

	$query = DB :: $dbh -> query("SELECT * FROM `on`  WHERE pf = ? AND time > ? ORDER BY time DESC {$limit}", array($id,time()-600));

	while ($on = $query -> fetch()):

	$browser = new browser($on['ua']);	

	$ht = DB :: $dbh -> querySingle("SELECT count(id) FROM ht WHERE pf = ? AND ip = ? AND ua =? AND time > ?", array($id,$on['ip'],$on['ua'],time()-600));		

	echo '
	<div class ="touch"> 
	'.$browser->get().' <br>
	Переходов по сайту: '.$ht.' <br>
	Посл. посещение: '.system::on($on['time']).'
	</div>';	

	endwhile;	

	$page -> get('?');

	echo '
	<a href="'.site.'/link/'.$id.'" class="touch">« Cтатистика</a>
	<a href="'.site.'" class="touch">« На главную</a>
	';

	# foot 

	require_once ( foot );

?>